###############################################################################
#                                                                             #
# SalesforceConnector                                                         #
# Copyright(C), 2006, Plone Foundation - ALL RIGHTS RESERVED                  #
#                                                                             #
# This software is licensed under the Terms and Conditions contained within   #
# the License.txt file that accompanied this software.  Any inquiries         #
# concerning the scope or enforceability of the license should be addressed   #
# to:                                                                         #
#                                                                             #
# Plone Foundation                                                            #
# 4617 Montrose Blvd., Suite C215                                             #
# Houston, Texas 77006 USA                                                    #
# p. +1 713.942.2377 | f. +1 832.201.8856                                     #
# www.enfoldsystems.com                                                       #
# info@enfoldsystems.com                                                      #
#                                                                             #
###############################################################################


from cStringIO import StringIO
from Products.CMFCore.utils import getToolByName



def setupActions(self, out):
    print >> out, 'Changing join action.'
    rtool = getToolByName(self, 'portal_registration')
    actions = rtool._actions
    for action in actions:
        if action.getId() == 'join':
            action.edit(action='string:${portal_url}/@@useradd.html')
            print >> out, 'Changed join action.'
    rtool._actions = actions
    print >> out, 'Changing personalize configlet.'
    ctool = getToolByName(self, 'portal_controlpanel')
    actions = ctool._actions
    for action in actions:
        if action.getId() == 'MemberPrefs':
            action.edit(action='string:${portal_url}/@@userprops.html')
            print >> out, 'Changed personalize configlet.'
    ctool._actions = actions

def install(self, out=None):
    return_output = False
    if out is None:
        out = StringIO()
        return_output = True
        
    setupActions(self, out)
    
    if return_output:
        return out.getvalue()

